Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.parsers
Class FactoryConfigurationError

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Error
                  |
                  +--javax.xml.parsers.FactoryConfigurationError

All Implemented Interfaces:
  java.io.Serializable

public class FactoryConfigurationError
extends java.lang.Error

FactoryConfigurationError

Version:
  1.0
Author:
  Andrew Selkirk
See Also:
  Serialized Form

Constructor Summary
`FactoryConfigurationError()`
`FactoryConfigurationError(java.lang.Exception ex)`
`FactoryConfigurationError(java.lang.Exception ex, java.lang.String msg)`
`FactoryConfigurationError(java.lang.String msg)`

Method Summary
`java.lang.Exception` | `getException()`
`java.lang.String` | `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FactoryConfigurationError

    public FactoryConfigurationError()

### FactoryConfigurationError

    public FactoryConfigurationError(java.lang.String msg)

### FactoryConfigurationError

    public FactoryConfigurationError(java.lang.Exception ex)

### FactoryConfigurationError

    public FactoryConfigurationError(java.lang.Exception ex,
                                     java.lang.String msg)

Method Detail

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getException

    public java.lang.Exception getException()

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.